## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/dominikh/go-tools
%global goipath         honnef.co/go/tools
%global forgeurl        https://github.com/dominikh/go-tools
Version:                2023.1.3
%global commit          0e3cc2963b37ac5d3fb66a4d9cb9dcfadbd4e21d

%gometa

%global common_description %{expand:
Staticcheck - The advanced Go linter.}

%global golicenses      LICENSE-THIRD-PARTY LICENSE LICENSE-gcsizes\\\
                        LICENSE-ir
%global godocs          doc README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Staticcheck - The advanced Go linter

License:        BSD-3-Clause AND MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
mv go/gcsizes/LICENSE LICENSE-gcsizes
mv go/ir/LICENSE LICENSE-ir

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%ifarch s390x
for test in "TestAll" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%endif
%gocheck
%endif

%files
%license LICENSE-THIRD-PARTY LICENSE LICENSE-gcsizes LICENSE-ir
%doc doc README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Apr 22 2024 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 2023.1.3-1
- Rebuilt for MSVSphere 9.4

* Wed Aug 02 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2023.1.3-1
- Update to 2023.1.3 - Closes rhbz#2070258 rhbz#2114542 rhbz#2163232

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2021.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2021.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2021.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 2021.1.2-3
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2021.1.2-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Mar 04 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2021.1.2-1
- Bump to commit 852a31a10f5fc943bff9b7857d352b317e1bcc3e (fix FTBFS)
  Close: rhbz#2045645 Close: rhbz#1994431

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2021.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 05 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2021.1-1
- Update to 2021.1 Close: rhbz#1930645

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2020.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2020.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 20:27:02 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2020.2.1-1
- Update to 2020.2.1
- Close: rhbz#1918542

* Sat Dec 26 10:18:07 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2020.2-1
- Update to 2020.2
- Close: rhbz#1887385

* Thu Aug 06 14:57:49 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2020.1.5-1
- Update to 2020.1.5

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2019.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Feb 05 16:57:55 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2019.2.3-1
- Update to 2019.2.3

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2019.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jul 29 23:25:11 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2019.2.2-1
- Release 2019.2.2

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2019.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 16 22:58:09 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2019.1.1-2
- Update to new macros

* Sun Mar 17 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2019.1.1-1
- Release 2019.1.1 (#1689449)

* Tue Feb 19 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2019.1-1
- Update to 2019.1
- Fixes #1675047

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2017.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2017.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 23 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2017.2.2-1
- First package for Fedora

